/******************************************************************************
 GLGlobals.h

	Copyright  1997 by Glenn Bach. 

 ******************************************************************************/

#include "GLGlobals.h"
#include "GLPrefsMgr.h"
#include "GLHelpText.h"

#include <JXPTPrinter.h>

#include <JUNIXPrefsFile.h>
#include <JString.h>
#include <JPtrArray.h>

#include <jDirUtil.h>
#include <jFileUtil.h>

#include <stdlib.h>
#include <iostream.h>
#include <stdio.h>
#include <jAssert.h>

GLPrefsMgr*				itsPrefsMgr 	= NULL;
GXPlotApp*				itsApplication 	= NULL;
static JXPTPrinter*		itsPrinter		= NULL;

/******************************************************************************
 InitGLGlobals


 ******************************************************************************/

JBoolean 
InitGLGlobals
	(
	GXPlotApp* app
	)
{
	itsApplication = app;

	JBoolean isNew;
	itsPrefsMgr = new GLPrefsMgr(&isNew);
	assert(itsPrefsMgr != NULL);
	
	JXInitHelp(kTOCHelpName, kHelpSectionCount,
			   kHelpSectionName, kHelpSectionTitle, kHelpSectionText,
			   JXMenu::kMacintoshStyle);

	itsPrinter = new JXPTPrinter();
	assert(itsPrinter != NULL);

	itsPrefsMgr->ReadPrinterSetup(itsPrinter);

	return isNew;
}

/******************************************************************************
 DeleteGLGlobals


 ******************************************************************************/

void 
DeleteGLGlobals()
{
	itsPrefsMgr->WritePrinterSetup(itsPrinter);
	delete itsPrinter;
	delete itsPrefsMgr;
}

/******************************************************************************
 GetPrefsMgr

 ******************************************************************************/

GLPrefsMgr*
GetPrefsMgr()
{
	assert(itsPrefsMgr != NULL);
	return itsPrefsMgr;
}

/******************************************************************************
 GetGLApplication

 ******************************************************************************/

GXPlotApp*
GetGLApplication()
{
	assert(itsApplication != NULL);
	return itsApplication;
}

/******************************************************************************
 GNBGetPTPrinter

 ******************************************************************************/

JXPTPrinter*
GLGetPTPrinter()
{
	return itsPrinter;
}
