/******************************************************************************
 GLPrefsMgr.h

	Interface for the GLPrefsMgr class

	Copyright  1998 by Glenn W. Bach.  All rights reserved.
	
	Base code generated by Codemill v0.1.0

 *****************************************************************************/

#ifndef _H_GLPrefsMgr
#define _H_GLPrefsMgr

#include <JUNIXPrefsManager.h>
#include <JPtrArray.h>
#include <JString.h>

class JXWindow;
class JXPTPrinter;

enum
{
	kDelimiterPrefsID = 1,
	kFileModulePrefsID,
	kProgramVersionID,
	kPlotWindowSizePrefsID,
	kTableWindowSizePrefsID,
	kPTPrinterSetupID
};

class GLPrefsMgr : public JUNIXPrefsManager
{
public:

	GLPrefsMgr(JBoolean* isNew);
	virtual ~GLPrefsMgr();

	void		EditPrefs();

	JString		GetGloveVersionStr() const;

	void		WritePrinterSetup(JXPTPrinter* printer);
	void		ReadPrinterSetup(JXPTPrinter* printer);

protected:

	virtual void	UpgradeData(const JBoolean isNew, const JFileVersion currentVersion);
	virtual void	Receive(JBroadcaster* sender, const Message& message);

private:

private:

	void		GetWindowSize(const JPrefID id, JXWindow* window) const;
	void		SaveWindowSize(const JPrefID id, JXWindow* window);

	// not allowed

	GLPrefsMgr(const GLPrefsMgr& source);
	const GLPrefsMgr& operator=(const GLPrefsMgr& source);
};

#endif
