/******************************************************************************
 JXToolBar.h

	Interface for the JXToolBar class

	Copyright  1998 by Glenn W. Bach.  All rights reserved.
	
 *****************************************************************************/

#ifndef _H_JXToolBar
#define _H_JXToolBar

#include <JXWidgetSet.h>

class JXTimerTask;
class JXMenu;
class JXTextMenu;
class JXToolbarButton;

class JXToolBar : public JXWidgetSet
{
public:

	JXToolBar(JXContainer* enclosure,
				const HSizingOption hSizing, const VSizingOption vSizing,
				const JCoordinate x, const JCoordinate y,
				const JCoordinate w, const JCoordinate h);
	virtual ~JXToolBar();

	void	AppendButton(JXTextMenu* menu, const JIndex index);
	void	NewGroup();

protected:

	void	Receive(JBroadcaster* sender, const Message& message);

private:

	JCoordinate 					itsNextButtonPosition;
	JBoolean						itsInNewGroupMode;
	JPtrArray<JXToolbarButton>*		itsButtons;
	JPtrArray<JXMenu>*				itsMenus;
	JXTimerTask*					itsTimerTask;

private:

	// not allowed

	JXToolBar(const JXToolBar& source);
	const JXToolBar& operator=(const JXToolBar& source);
};

#endif
