/******************************************************************************
 JXToolbarButton.cc

	<Description>

	BASE CLASS = public JXImageButton

	Copyright  1998 by Glenn W. Bach.  All rights reserved.
	
	Base code generated by Codemill v0.1.0

 *****************************************************************************/

#include "GHintsDir.h"

#include <JXToolbarButton.h>
#include <JXWindow.h>
#include <JXApplication.h>
#include <JXTextMenu.h>

#include <jXGlobals.h>

#include <jAssert.h>

const Time kHintWaitDelay = 500;

/******************************************************************************
 Constructor

 *****************************************************************************/

JXToolbarButton::JXToolbarButton
	(
	JXTextMenu*			menu, 
	const JIndex 		index,
	JXContainer* 		enclosure,
	const HSizingOption hSizing, 
	const VSizingOption vSizing,
	const JCoordinate 	x, 
	const JCoordinate 	y,
	const JCoordinate 	w, 
	const JCoordinate 	h
	)
	:
   JXImageButton(enclosure, hSizing, vSizing, x, y, w, h),
   itsHintDir(NULL),
   itsHerePoint(0,0),
   itsHereTime(0),
   itsMenu(menu),
   itsMenuItem(index)
{
}

/******************************************************************************
 Destructor

 *****************************************************************************/

JXToolbarButton::~JXToolbarButton()
{
}

/******************************************************************************
 SetHint (public)

 ******************************************************************************/

void
JXToolbarButton::SetHint
	(
	const JCharacter* hint
 	)
{
	itsHint = hint;
}

/******************************************************************************
 HandleMouseEnter (protected)

 ******************************************************************************/

void
JXToolbarButton::HandleMouseEnter()
{
}

/******************************************************************************
 HandleMouseHere

 ******************************************************************************/

void
JXToolbarButton::HandleMouseHere
	(
	const JPoint& 			pt, 
	const JXKeyModifiers& 	modifiers
	)
{
	if (itsHintDir != NULL)
		{
		return;
		}
	Time hereTime = JXGetApplication()->GetCurrentTime();
	if (pt == itsHerePoint)
		{
		if (itsHintDir == NULL)
			{
			if (itsHereTime == 0)
				{
				itsHereTime = hereTime;
				}
			else if (hereTime - itsHereTime > kHintWaitDelay)
				{
				assert(!itsHint.IsEmpty());
				itsHintDir = 
					new GHintsDir(GetWindow()->GetDirector(), itsHint, this);
				assert(itsHintDir != NULL);
				itsHintDir->Activate();
				}
			}
		}
	else 
		{
		itsHerePoint = pt;
		}
}

/******************************************************************************
 HandleMouseLeave

 ******************************************************************************/

void
JXToolbarButton::HandleMouseLeave()
{
	itsHerePoint = JPoint(0,0);
	itsHereTime = 0;
	if (itsHintDir != NULL)
		{
		itsHintDir->Close();
		itsHintDir = NULL;
		}
}