/******************************************************************************
 JXToolbarButton.h

	Interface for the JXToolbarButton class

	Copyright  1998 by Glenn W. Bach.  All rights reserved.
	
	Base code generated by Codemill v0.1.0

 *****************************************************************************/

#ifndef _H_JXToolbarButton
#define _H_JXToolbarButton

#include <JXImageButton.h>
#include <JString.h>

class GHintsDir;
class JXTextMenu;

class JXToolbarButton : public JXImageButton
{
public:

	JXToolbarButton(JXTextMenu*	menu, const JIndex index,
					JXContainer* enclosure,
				  	const HSizingOption hSizing, const VSizingOption vSizing,
				  	const JCoordinate x, const JCoordinate y,
				  	const JCoordinate w, const JCoordinate h);
	virtual ~JXToolbarButton();

	JXTextMenu*	GetMenu() 		const;
	JIndex 		GetMenuItem()	const;
	
	void		SetHint(const JCharacter* hint);

protected:

	virtual void	HandleMouseEnter();
	virtual void	HandleMouseHere(const JPoint& pt, const JXKeyModifiers& modifiers);
	virtual void	HandleMouseLeave();

private:

	JString		itsHint;
	GHintsDir*	itsHintDir;
	JPoint		itsHerePoint;
	Time		itsHereTime;
	JXTextMenu*	itsMenu;
	JIndex		itsMenuItem;

private:

	// not allowed

	JXToolbarButton(const JXToolbarButton& source);
	const JXToolbarButton& operator=(const JXToolbarButton& source);

};

/******************************************************************************
 GetMenu

 ******************************************************************************/

inline JXTextMenu*	
JXToolbarButton::GetMenu()
	const
{
	return itsMenu;
}

/******************************************************************************
 GetMenuItem

 ******************************************************************************/

inline JIndex
JXToolbarButton::GetMenuItem()
	const
{
	return itsMenuItem;
}

#endif
