/******************************************************************************
 plotter.cc

	This provides a way to test the JX library and provides sample source
	code for everyone to study.

	Copyright  1996 by John Lindal. All rights reserved.

 ******************************************************************************/

#include <GXPlotApp.h>

#include <JString.h>

#include <stdlib.h>
#include <iostream.h>
#include <jAssert.h>

extern JCharacter* kGLSig;

const JCharacter* kGloveVersionNumberStr = "1.0.1";

const JCharacter* kGloveVersionStr =

	"Glove 1.0.1\n"
	"\n"
	"A data acquisition, manipulation and analysis program for X.\n"
	"\n"
	"Copyright  1999 by Glenn W. Bach.\n"
	"This program may be freely distributed at no\n"
	"charge.\n"
	"\n"
	"http://www.cco.caltech.edu/~glenn/glove/\n"
	"glove@alice.caltech.edu";

/******************************************************************************
 main

 ******************************************************************************/

int
main
	(
	int		argc,
	char*	argv[]
	)
{
	JBoolean displayAbout;
	JString prevVersStr;

	GXPlotApp* app =
		new GXPlotApp(&argc, argv, &displayAbout, &prevVersStr);
	assert( app != NULL );

	if (argc > 1)
		{
		app->OpenFile(argv[1]);
		}
	else
		{
		app->NewFile();
		}

	if (displayAbout)
		{
		app->DisplayAbout(prevVersStr);
		}

	app->Run();				// never actually returns
	return 0;
}

